# Gimp.Unit.set_deletion_flag

    @accepts(Gimp.Unit, bool)
    @returns(none)
    def set_deletion_flag(self, deletion_flag):
        # Python wrapper for gimp_unit_set_deletion_flag()

Sets a Gimp.Unit's deletion_flag. If the deletion_flag of a unit is True when GIMP exits, this unit will not be saved in the users's "unitrc" file.

Trying to change the deletion_flag of a built-in unit will be silently ignored.

self

  The unit you want to set the deletion_flag for.

deletion_flag

  The new deletion_flag.